LOCALE::PO4A::DOCBOOK.3PM(1)

NOME
Locale::Po4a::Docbook - converte documenti DocBook XML da/verso file PO

DESCRIZIONE
L'obiettivo del progetto po4a (PO per tutto) è di facilitare le traduzioni (e cosa più interessante, la manutenzione delle traduzioni) usando gli strumenti associati a gettext in aree inaspettate come la documentazione.

Locale::Po4a::Docbook è un modulo che aiuta la traduzione in altre lingue della documentazione in formato DocBook XML.

STATO DI QUESTO MODULO
Questo modulo è perfettamente funzionante, dal momento che si limita a definire i tag e gli attributi traducibili. Tutto il lavoro viene svolto dal modulo Locale::Po4a::Xml.

L'unico problema conosciuto è che ancora non gestisce le entità, nemmeno le «file inclusion entities»; è comunque possibile tradurre separatamente la maggior parte di questi file (tranne i «typical entity files») e, di solito, è meglio mantenerli divisi.

SUPERARE IL COMPORTAMENTO PREDEFINITO CON OPZIONI DA RIGA DI COMANDO
Il comportamento predefinito dei moduli forniti dal sistema è impostato sulla sicurezza.

Per esempio, l'impostazione predefinita del marcatore <author> è di apparire sotto <para>. Ma si potrebbe essere nella condizione di usarlo solo sotto <bookinfo>. In questo caso, si potrebbe volerlo tradurre indipendentemente per ogni autore.

Se non soddisfa il comportamento predefinito del modulo xml e dei suoi moduli derivati, si può fornire opzioni sulla riga di comando per cambiare il loro comportamento. Per esempio, si può aggiungere al file di configurazione di po4a le seguenti opzioni:

  opt:"-k 0 -o nodefault=\"<bookinfo> <author>\" \
            -o break=\"<bookinfo> <author>\" \
            -o untranslated=\"<bookinfo>\" \
            -o translated=\"<author>\""

Questo supera il comportamento predefinito per <bookinfo> e <author>, imposta <bookinfo> e <author> per interrompere il flusso dati in ingresso su questi marcatori, imposta <bookinfo> a non tradurre il suo contenuto, e imposta <author> invece per tradurre il suo contenuto.

VEDERE ANCHE
Locale::Po4a::TransTractor(3pm), Locale::Po4a::Xml(3pm), po4a(7)

AUTORI
 Jordi Vilalta <jvprat@gmail.com>

TRADUZIONE
 Danilo Piazzalunga <danilopiazza@libero.it>
 Marco Ciampa <ciampix@posteo.net>

COPYRIGHT E LICENZA
 Copyright (c) 2004 by Jordi Vilalta  <jvprat@gmail.com>
 Copyright (c) 2007-2009 by Nicolas François <nicolas.francois@centraliens.net>

Questo programma è software libero; è lecito ridistribuirlo o modificarlo secondo i termini della licenza GPL v2.0 o successive (vedere il file COPYING).